/**************************************************************************
* Xtrophy ICQ - Originally written by tnc (xtrophy@it.dk)                 *
*'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''*
* help.cc                                                                 *
* Show help on commands                                                   *
**************************************************************************/


#include "help.h"
#include "io.h"

void help(char *input)
{
    char *tmp;
    tmp = strtok(input, " ");
    tmp = strtok(NULL, "");

    if (!strcasecmp(tmp, "clear"))       help_clear();
    else if (!strcasecmp(tmp, "info"))   help_info();
    else if (!strcasecmp(tmp, "msg"))    help_msg();
    else if (!strcasecmp(tmp, "quit"))   help_quit();
    else if (!strcasecmp(tmp, "status")) help_status();
    else if (!strcasecmp(tmp, "talk"))   help_talk();
    else if (!strcasecmp(tmp, "url"))    help_url();
    else if (!strcasecmp(tmp, "who"))    help_who();
    else help_unknown();
}


void help_clear()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: clear\n",0);
    MY_PRINTF(color.text,   "Syntax : clear\n",0);
    MY_PRINTF(color.text,   "Desc   : Clears the screen.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_info()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: info\n",0);
    MY_PRINTF(color.text,   "Syntax : info <nick|uin>\n",0);
    MY_PRINTF(color.text,   "Desc   : Shows detailed info on a user. Nick, name, email etc.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_msg()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: msg\n",0);
    MY_PRINTF(color.text,   "Syntax : msg <nick|uin> [<msg>]\n",0);
    MY_PRINTF(color.text,   "Desc   : Sends a message to a user.\n",0);
    MY_PRINTF(color.text,   "         If you leave <msg> out you will be taken to multiline mode.\n",0);
    MY_PRINTF(color.text,   "         From there you type '.' on a newline to send the message, or '.abort'\n",0);
    MY_PRINTF(color.text,   "         to abort.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_quit()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: quit\n",0);
    MY_PRINTF(color.text,   "Syntax : quit\n",0);
    MY_PRINTF(color.text,   "Desc   : Logoff the ICQ server and exit Xicq.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_status()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: status\n",0);
    MY_PRINTF(color.text,   "Syntax : status <stat>\n",0);
    MY_PRINTF(color.text,   "         Where <stat> is: 0 = Available          1 = Away\n",0);
    MY_PRINTF(color.text,   "                          2 = Do Not Desturb     3 = Not Available\n",0);
    MY_PRINTF(color.text,   "                          4 = Occupied           5 = Free For Chat\n",0);
    MY_PRINTF(color.text,   "                          6 = Invisible\n",0);
    MY_PRINTF(color.text,   "Desc   : Changes your online status.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_talk()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: talk\n",0);
    MY_PRINTF(color.text,   "Syntax : talk <nick|uin>\n",0);
    MY_PRINTF(color.text,   "Desc   : Enters a talk session with a user.\n",0);
    MY_PRINTF(color.text,   "         Using this will send you in a loop, typing messages to a user. When\n",0);
    MY_PRINTF(color.text,   "         you have send a message, you can start typing again without issuing\n",0);
    MY_PRINTF(color.text,   "         the msg command again and again.\n",0);
    MY_PRINTF(color.text,   "         '.' on a newline to sends the message.\n",0);
    MY_PRINTF(color.text,   "         '.abort' on a newline to abort the current message.\n",0);
    MY_PRINTF(color.text,   "         '.exit' on a newline to exit the talk session.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_url()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: url\n",0);
    MY_PRINTF(color.text,   "Syntax : url <nick|uin>\n",0);
    MY_PRINTF(color.text,   "Desc   : Sends a url and description of the url to a user.\n",0);
    MY_PRINTF(color.text,   "         While typing the description you can use '.' on a newline to send the\n",0);
    MY_PRINTF(color.text,   "         URL or '.abort' on a newline to abort.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_who()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Command: who\n",0);
    MY_PRINTF(color.text,   "Syntax : who\n",0);
    MY_PRINTF(color.text,   "Desc   : Shows which users in your contact list is online.\n",0);
    MY_PRINTF(color.text,   "         If you have SHOWOFFLINE=1 in your configfile it will show offline\n",0);
    MY_PRINTF(color.text,   "         users too.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}


void help_unknown()
{
    MY_PRINTF(color.border, "===============================================================================\n",0);
    MY_PRINTF(color.header, "Help:\n",0);
    MY_PRINTF(color.border, "-------------------------------------------------------------------------------\n",0);
    MY_PRINTF(color.text,   "Unknown command. Try 'help'.\n",0);
    MY_PRINTF(color.border, "===============================================================================\n",0);
}



